Upgrading to GROWI v3.5.x

GROWI v3.5 no longer supports Plugins that have schema version 2, newly supports Plugins that have schema version 3.

Addition, v3.5 no longer supports following features:

Plugins

TIP

Systems that is launched by the official docker image will not be affected

Upgrade the official plugins weseek/growi-plugin-lsx and weseek/growi-plugin-pukiwiki-like-linker to the latest version that are released with schema version 3.

Upgrade Plugins

yarn upgrade growi-plugin-lsx --latest
yarn upgrade growi-plugin-pukiwiki-like-linker --latest

Basic Authentication Discontinued

TIP

Systems that do not have Basic Authentication (GROWI admin page) set will not be affected

WARNING

After upgrading, systems that have Basic Authentication (GROWI admin page) set will NOT be protected by Basic Authentication

Check before Upgrading

  • Whether Basic Authentication on the GROWI admin (security settings) page is set
  • What setting "Guest users access" on the GROWI admin (security settings) page is set to
    • If "Guest users access" is set to "View only", check the confidentiality of pre-existing pages.

Alternative Means

  • If Basic Authentication is required, consider setting up a reverse proxy with Apache or nginx.

Crowi Classic Authentication Discontinued

TIP

Systems using the Passport Authentication mechanism will not be affected

WARNING

For systems using the Crowi Classic Authentication mechanism, the users' Google OAuth Authentication link settings will be disabled

Affects

  • As default, GROWI v3.5.x or above will automatically use the Passport Authentication mechanism
  • Users that login with username/E-mail and password will be able to do so as usual
  • Google OAuth Authentication links will be disabled
    • Users who forgot their username/E-mail and password will not be able to login

Check before Upgrading

  • Whether there are no users using Google OAuth to login
    • Among the users that do, whether they remember their username/E-mail and password
      • Among the users that forgot, reissue a new password and check whether they can login
  • Before upgrading to versions beyond v3.5, whether a period of time can be prepared to switch to the Passport Authentication mechanism

Alternative Means

  • After switching to the Passport Authentication mechanism, newly set up Google OAuth on the admin (security settings) page

Crowi Template syntax Discontinued

WARNING

Crowi Template syntax will not be processed anymore

Check before Upgrading

  • Whether there are no users using Crowi Template syntax

Alternative Means

  • Consider whether usage of the "Identical Layer Template" "Lower Layer Template" features (GROWI provides) are alternatives
Last Updated: 7/5/2019, 2:21:14 PM